##Script aula 2###

library(foreign)

#Exemplo 1
setwd("F:/Banco/curso_CPM/2019/data")
setwd("C:/Banco/curso_CPM/2019/data")
setwd("E:/Banco/curso_CPM/2019/data")
banco <- read.spss("imunizacao_mortalidade_20 paises.sav")

str(banco)

# Grfico de disperso
plot(banco$porc, banco$tm, col = "red", ylab = "Taxa de mortalidade por 1000 nasidos vivos",
     xlab = "Porcentagem Imunizada", cex = 2, cex.axis = 1.2, cex.lab = 1.2)

#Correlao de Pearson
cor(banco$porc, banco$tm)
# Teste de Hiptese da correlao
cor.test(banco$porc, banco$tm)

# Correlao de Spearman (no-paramtrico)
cor(banco$porc, banco$tm, method = "spearman")

#Teste de Hiptese da correlao
cor.test(banco$porc, banco$tm, method = "spearman")

#Exemplo 2
library(MASS)
data(birthwt)
names(birthwt)
plot(birthwt$lwt, birthwt$bwt, xlab = "Peso da me na ltima menst. (em lb)", ylab = "Peso ao nascer (em g)", col = "blue", lwd = 2, cex.axis = 1.5, cex.lab = 1.5)
reg <- lm(bwt ~ lwt, data = birthwt)
# plot(reg)
# plot(birthwt$bwt, predict(reg), ylim = c(1000,5000))
# abline(c(0,1), col = "red",lty = 2)
abline(reg, col = "red",lty = 2)

summary(aov(bwt ~ lwt, data = birthwt))
# ou
anova(lm(bwt ~ lwt, data = birthwt))
summary(reg)
